module RestBase
  module Test
    class TestApplication
      get '/', :version => 1 do
        {
          :gotten => "success"
        }
      end

      get '/', :version => 2 do
        {
          :gotten => "success 2"
        }
      end

      get '/empty', :version => 1 do
        ""
      end
      
      get '/created', :version => 1 do
        status 201
      end
      
      get '/nocontent', :version => 1 do
        status 204
      end
      
      get '/notmodified', :version => 1 do
        status 304
      end
      
      get '/created_with_body', :version => 1 do
        status 201
        { :created => true }
      end

      post '/', :version => 1 do
        {
          :posted => request_body
        }
      end

      put '/', :version => 1 do
        {
          :updated => request_body
        }
      end

      delete '/', :version => 1 do
        {
          :deleted => request_body
        }
      end
      
      delete '/nocontent', :version => 1 do
        status 204
      end
    end
  end
end