module RestBase
  module Test
    class TestApplication
      get '/invalid_request', :version => 1 do
        param_errors = {
          :param1 => "Must be a String",
          :param2 => "Must be an Integer"
        }

        raise RestBase::Exceptions::InvalidRequest.new(param_errors)
      end

      get '/unauthorized', :version => 1 do
        error 401
      end
      
      get '/notfound', :version => 1 do
        error 404
      end

      get '/internal_error', :version => 1 do
        error 500
      end

      get '/internal_error_raised', :version => 1 do
        raise StandardError.new("Raised Internal Error")
      end

      get '/default_error_handeling', :version => 1 do
        error 400, "This is the default error handler"
      end
      
      get '/hashed_error_handeling', :version => 1 do
        error 400, { :error => "This is the hashed error handler" }
      end
    end
  end
end