require 'spec_helper'

describe RestBase::Authentication::BasicAuthentication do
  describe :initialize do
    it "should initialize with valid keys" do
      expected_keys = ['key1', 'key2']
      target = RestBase::Authentication::BasicAuthentication.new(expected_keys)
      
      expect(target.instance_variable_get(:@valid_keys)).to eq(expected_keys)
    end
  end
  
  describe :authorized? do
    it "should authorized if empty valid array" do
      target = RestBase::Authentication::BasicAuthentication.new([])
      expect(target.authorized?(nil, 'key')).to be_truthy
    end
    
    it "should authorize the given key" do
      target = RestBase::Authentication::BasicAuthentication.new(['key1', 'key2'])
      expect(target.authorized?(nil, 'key1')).to be_truthy
    end
    
    it "should authorize the given key" do
      target = RestBase::Authentication::BasicAuthentication.new(['key1', 'key2'])
      expect(target.authorized?(nil,'key')).to_not be_truthy
    end
  end
end
